%global pypi_name typeguard

Name:           python-%{pypi_name}
Version:        2.13.3
Release:        %mkrel 1
Summary:        Run-time type checker for Python
License:        MIT
Group:          Development/Python
URL:            https://github.com/agronholm/%{pypi_name}
Source0:        https://pypi.io/packages/source/t/%{pypi_name}/%{pypi_name}-%{version}.tar.xz
BuildArch:      noarch

%description
This library provides run-time type checking for functions defined with
PEP 484 argument (and return) type annotations.

%package -n python3-%{pypi_name}
Summary:        Run-time type checker for Python 3
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-setuptools_scm

%description -n python3-%{pypi_name}
This library provides run-time type checking for functions defined with
PEP 484 argument (and return) type annotations.

%prep
%setup -q -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install
%py_byte_compile %{__python3} %{buildroot}%{python3_sitelib}

%files -n python3-%{pypi_name}
%doc README.rst LICENSE
%{python3_sitelib}/*

%changelog
* Tue Aug 09 2022 TerryN <terryn94 at gmail.com> 2.13.3-1pclos2022
- import for python 3.10
